# Visualization
TKV2d
V2d

# V2d_BackgroundGraphicObject Class Reference

Creates a 2D background graphic object in a view.
A graphic object is a primitives manager
which drawn before all the others graphic objects
.

`#include <V2d_BackgroundGraphicObject.hxx>`

Inheritance diagram for V2d_BackgroundGraphicObject:

[legend]

## Public Member Functions

Standard_EXPORT | V2d_BackgroundGraphicObject (const Handle(Graphic2d_View)&aView)
| Creates a graphic object in the view <aview>. A graphic object manages a sequence of primitives. .
virtual Standard_EXPORT Standard_Integer | MaxPriority () const
| Returns the max usable relative priority of the "hiding" graphic object. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

virtual Standard_EXPORT Standard_Integer | BasePriority () const
| Returns the min usable absolute priority of the "hiding" graphic object. .

## Constructor & Destructor Documentation

Standard_EXPORT V2d_BackgroundGraphicObject::V2d_BackgroundGraphicObject | ( | const Handle(Graphic2d_View)& | aView | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer V2d_BackgroundGraphicObject::BasePriority | ( |  | ) | const`[private, virtual]`

| Reimplemented from Graphic2d_GraphicObject.

Standard_EXPORT const V2d_BackgroundGraphicObject::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_GraphicObject.

virtual Standard_EXPORT Standard_Integer V2d_BackgroundGraphicObject::MaxPriority | ( |  | ) | const`[virtual]`

| Reimplemented from Graphic2d_GraphicObject.

The documentation for this class was generated from the following file:

- V2d_BackgroundGraphicObject.hxx